<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.analytics.batch.exportimport.internal.manager.AnalyticsBatchExportImportManagerImpl" immediate="true">
  <service>
    <provide interface="com.liferay.analytics.batch.exportimport.manager.AnalyticsBatchExportImportManager"/>
  </service>
  <reference name="_analyticsConfigurationRegistry" interface="com.liferay.analytics.settings.configuration.AnalyticsConfigurationRegistry" field="_analyticsConfigurationRegistry"/>
  <reference name="_batchEngineExportTaskExecutor" interface="com.liferay.batch.engine.BatchEngineExportTaskExecutor" field="_batchEngineExportTaskExecutor"/>
  <reference name="_batchEngineExportTaskLocalService" interface="com.liferay.batch.engine.service.BatchEngineExportTaskLocalService" field="_batchEngineExportTaskLocalService"/>
  <reference name="_batchEngineImportTaskExecutor" interface="com.liferay.batch.engine.BatchEngineImportTaskExecutor" field="_batchEngineImportTaskExecutor"/>
  <reference name="_batchEngineImportTaskLocalService" interface="com.liferay.batch.engine.service.BatchEngineImportTaskLocalService" field="_batchEngineImportTaskLocalService"/>
  <reference name="_companyLocalService" interface="com.liferay.portal.kernel.service.CompanyLocalService" field="_companyLocalService"/>
  <reference name="_configurationProvider" interface="com.liferay.portal.kernel.module.configuration.ConfigurationProvider" field="_configurationProvider"/>
  <reference name="_file" interface="com.liferay.portal.kernel.util.File" field="_file"/>
  <reference name="_http" interface="com.liferay.portal.kernel.util.Http" field="_http"/>
  <reference name="_jsonFactory" interface="com.liferay.portal.kernel.json.JSONFactory" field="_jsonFactory"/>
  <reference name="_settingsFactory" interface="com.liferay.portal.kernel.settings.SettingsFactory" field="_settingsFactory"/>
  <implementation class="com.liferay.analytics.batch.exportimport.internal.manager.AnalyticsBatchExportImportManagerImpl"/>
</scr:component>
